Remittance & transfers
Price a transfer before sending it
POST
/transfers/quoteScope
transfers:readAuth Bearer keyRequest body
json
{
"source_currency": "NGN",
"destination_country": "GH",
"transfer_method": "mobile_money",
"amount": "250000.00"
}Responses
200Transfer quote
json
{
"object": "transfer_quote",
"source_currency": "NGN",
"destination_currency": "GHS",
"destination_country": "GH",
"transfer_method": "mobile_money",
"amount": "250000.00",
"fee": "1250.00",
"rate": "0.0116",
"destination_amount": "2885.00",
"delivery": "Within minutes",
"expires_at": "2026-08-30T09:29:22.104Z"
}Errors
Errors use RFC 9457 problem details. Branch on code, and log request_id.
400Bad request401Unauthenticated403Forbidden409Idempotency conflict422Validation error429Rate limitedcURL
curl -X POST "https://business.boundlesspay.com/api/public/v1/transfers/quote" \
-H "Authorization: Bearer $BOUNDLESS_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "source_currency": "NGN", "destination_country": "GH", "transfer_method": "mobile_money", "amount": "250000.00" }'